loci.formats.in

## Class SlideBook7Reader.CCompressionBase

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.CCompressionBase

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CCompressionBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `eCompressionJetRaw`
    `static int` | `eCompressionLz4`
    `static int` | `eCompressionNone`
    `static int` | `eCompressionRLE`
    `static int` | `eCompressionZlib`
    `static int` | `eCompressionZstd`
    `int` | `mAlgorythm`
    `byte[]` | `mBlockDictionary`
    `int` | `mBlockDictionarySize`
    `long` | `mBufLenBY`
    `long` | `mDataLenBY`
    `long` | `mDataPosition`
    `long` | `mDictionaryPosition`
    `java.lang.Boolean` | `mDictionaryRead`
    `java.lang.String` | `mErrorMessage`
    `int` | `mNumberOfThreads`
    `long` | `mNumBlocks`
    `long` | `mNumX`
    `long` | `mNumY`
    `long` | `mNumZ`
    `byte[]` | `mOutputBuffer`
    `int` | `mUint16Size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCompressionBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `convertToLong(byte[] bytes, int offset)`
    `byte[]` | `DecompressBuffer(byte[] inBuffer)`
    `long` | `GetDataOffsetForBlock(int inBlock)`
    `long` | `GetDataSizeForBlock(int inBlock)`
    `void` | `Initialize(long inDictionaryPosition, int inAlgorythm, int inNumX, int inNumY, int inNumZ, int inNumberOfThreads)`
    `void` | `Initialize(long inDictionaryPosition, int inAlgorythm, int inNumX, int inNumY, int inNumZ, int inNumBlocks, int inNumberOfThreads)`
    `byte[]` | `ReadData(loci.common.RandomAccessInputStream inStream, int inBlock)`
    `void` | `ReadDictionary(loci.common.RandomAccessInputStream inStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eCompressionNone

          public static final int eCompressionNone

      See Also:
        Constant Field Values

    - #### eCompressionZstd

          public static final int eCompressionZstd

      See Also:
        Constant Field Values

    - #### eCompressionZlib

          public static final int eCompressionZlib

      See Also:
        Constant Field Values

    - #### eCompressionLz4

          public static final int eCompressionLz4

      See Also:
        Constant Field Values

    - #### eCompressionJetRaw

          public static final int eCompressionJetRaw

      See Also:
        Constant Field Values

    - #### eCompressionRLE

          public static final int eCompressionRLE

      See Also:
        Constant Field Values

    - #### mErrorMessage

          public java.lang.String mErrorMessage

    - #### mAlgorythm

          public int mAlgorythm

    - #### mNumX

          public long mNumX

    - #### mNumY

          public long mNumY

    - #### mNumZ

          public long mNumZ

    - #### mNumBlocks

          public long mNumBlocks

    - #### mBufLenBY

          public long mBufLenBY

    - #### mDataLenBY

          public long mDataLenBY

    - #### mDictionaryRead

          public java.lang.Boolean mDictionaryRead

    - #### mBlockDictionarySize

          public int mBlockDictionarySize

    - #### mUint16Size

          public int mUint16Size

    - #### mNumberOfThreads

          public int mNumberOfThreads

    - #### mDictionaryPosition

          public long mDictionaryPosition

    - #### mDataPosition

          public long mDataPosition

    - #### mBlockDictionary

          public byte[] mBlockDictionary

    - #### mOutputBuffer

          public byte[] mOutputBuffer

  - ### Constructor Detail

    - #### CCompressionBase

          CCompressionBase()

  - ### Method Detail

    - #### Initialize

          public void Initialize(long inDictionaryPosition,
                                 int inAlgorythm,
                                 int inNumX,
                                 int inNumY,
                                 int inNumZ,
                                 int inNumberOfThreads)

    - #### Initialize

          public void Initialize(long inDictionaryPosition,
                                 int inAlgorythm,
                                 int inNumX,
                                 int inNumY,
                                 int inNumZ,
                                 int inNumBlocks,
                                 int inNumberOfThreads)

    - #### ReadDictionary

          public void ReadDictionary(loci.common.RandomAccessInputStream inStream)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### convertToLong

          public long convertToLong(byte[] bytes,
                                    int offset)

    - #### GetDataOffsetForBlock

          public long GetDataOffsetForBlock(int inBlock)

    - #### GetDataSizeForBlock

          public long GetDataSizeForBlock(int inBlock)

    - #### DecompressBuffer

          public byte[] DecompressBuffer(byte[] inBuffer)
                                  throws FormatException,
                                         java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### ReadData

          public byte[] ReadData(loci.common.RandomAccessInputStream inStream,
                                 int inBlock)
                          throws FormatException,
                                 java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment